stages:
  - test
  - deploy

server-lint:
  image: node:latest
  stage: test
  script:
    - npm install --prefix ./server/
    - npm run ts-lint --prefix ./server/

server-test:
  image: node:latest
  stage: test
  script:
    - npm install --prefix ./server/
    - npm run test --prefix ./server/

view-lint:
  image: node:latest
  stage: test
  script:
    - npm install --prefix ./view/
    - npm run lint --prefix ./view/

release:
  image: docker
  stage: deploy
  services:
    - docker:dind
  script:
    - apk add --no-cache docker-compose
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
    - docker-compose build --pull
    - docker-compose push
  only:
    - master
